Subject: bug#32797: gcrypt won't compile during 'guix pull'

From: znavko <[email-masked]>
Date: Sat, 22 Sep 2018 17:35:22 +0000

Thank you, Ludovic!
That is just strange, but I rebooted with 'Other options' in grub, choosed my first kernel (that was installed from GuixSD 0.15.0 before any updates had been done)
And run `guix pull` and `guix package -u` with no any errors. Then I rebooted with default grub option. I have this now:

# guix describe
Generation 3	Sep 21 2018 21:20:48	(current)
  guix ec944a1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: ec944a1de97c8a523d6e1089b8c4430424297f93

Yet I am not so familiar with this info, but here I can see the last commit https://git.savannah.gnu.org/cgit/guix.git/commit/  dated 2018-09-22.
But version I have is here https://git.savannah.gnu.org/cgit/guix.git/commit/?id=ec944a1de97c8a523d6e1089b8c4430424297f93  and dated 2018-09-21.

So I think it's ok.
I will run instructions you sent to get a new guix and guile-gcrypt.
Thank you for your reaction. Great respect, Ludovic!